## help

### Use

You display a list of all the DBM commands. By specifying options, you can limit the display of this list.

You receive a description of the syntax for entering DBM commands, information on the optional and/or required DBM options as well as information on whether the execution of the DBM commands requires a database or service session.

For obsolete commands, references to the new names of the commands are given.

Reply lines with more than 80 characters are split.

### Prerequisites

You do not need to log on to the Database Manager as an operator to execute this DBM command.

### Syntax

help [<option>]

<option>::= <string> | <fuzzy_option> | <obsolete_option>

<fuzzy_option>:: = –k <string>

<obsolete_option>:: = -obsolete [<string>]

Options

Option | Description
<string> | Character string Only those current DBM commands are displayed which start with the specified character string.
-k <string> | Error-tolerant search for a character string in the DBM command
-obsolete [<string>] | Only obsolete DBM commands are displayed. The system displays a reference to the current name for each of these commands. If you specify a character string, the display is limited to those obsolete commands that contained this character string. If you do not specify a character string, all obsolete DBM commands are displayed.

### Reply

OK

<dbm_command> <description>

<dbm_command> <description>

...

Values for the Reply Fields

Field | Description
<dbm_command> | DBM command
<description> | Description of the DBM command, the possible options and their use For obsolete commands the command that is currently valid is output

In the event of errors, see Reply Format.

### Examples

Calling the Database Manager CLI, displaying all the valid DBM commands:

dbmcli help

OK

apropos <command_name_part>

archive_stage <medium> <stage> [verify|noverify] [remove|keep]

[FileNumberList <list>]

archive_stage <medium> <stage> [verify|noverify] [remove|keep]

auto_extend <mode> [<percentage>]

autolog_cancel

autolog_off

autolog_on <medium>

autolog_show

autorecover [LOG] [UNTIL <date> <time>] [ ( KEY <key> LABEL

<label> ) | ( IBID <internal_backup_ID> ) ]

auto_update_statistics <mode>

backup_cancel (needs backup session)

backup_ext_ids_forget

...

...

Calling the Database Manager CLI, displaying all the DBM commands that contain the character string shm :

>dbmcli help –k shm

OK

dbm_shm_info

dbm_shm_reset

dbm_shm_unlock

Calling the Database Manager CLI, displaying all obsolete DBM commands that contain the character string recover:

>dbmcli help –obsolete recover

OK

recover_devspace (obsolete version of recover_volume)